%define _disable_ld_no_undefined 1

Name:           wmdrawer
Version:        0.10.5
Release:        %mkrel 20
Summary:        Retractable button bar launcher dockapp
License:        GPLv2+
Group:          Graphical desktop/WindowMaker
URL:            http://people.easter-eggs.org/~valos/wmdrawer/
Source0:        http://people.easter-eggs.org/~valos/%{name}/%{name}-%{version}.tar.gz
Patch0:         %{name}-Makefile.patch
Patch1:         %{name}-0.10.5-mga-update-default-applications.patch
Patch2:         %{name}-0.10.5-mga-copy-default-config-from-skel-to-home.patch

BuildRequires:  libxext-devel
BuildRequires:  libx11-devel
BuildRequires:  libxi-devel
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  dos2unix

Requires:       x11-font-misc

%description
wmDrawer is a dock application (dockapp) which provides a drawer
(retractable button bar) to launch applications.


%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0

%build
CFLAGS="%{optflags}" LDFLAGS="%{ldflags} -lXext" %make -L

%install
# binary
mkdir -p %{buildroot}%{_mandir}/man1
install -D -p -m 755 %{name} %{buildroot}%{_bindir}/%{name}

# man pages
install -p -m 644 doc/%{name}.1x.* %{buildroot}%{_mandir}/man1

dos2unix -k AUTHORS

# config file
install -D -p -m 644 %{name}rc.example %{buildroot}%{_sysconfdir}/skel/.%{name}rc

%files
%doc AUTHORS ChangeLog INSTALL README TODO
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/skel/.%{name}*
%{_mandir}/man1/*


%changelog
* Sat Feb 06 2016 umeabot <umeabot> 0.10.5-20.mga6
+ Revision: 940491
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10.5-19.mga5
+ Revision: 746393
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.5-18.mga5
+ Revision: 690335
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.10.5-17.mga4
+ Revision: 520088
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.10.5-16.mga3
+ Revision: 385738
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.10.5-15.mga3
+ Revision: 324963
- rebuild for Mga3 Beta1

* Sat Apr 21 2012 kamil <kamil> 0.10.5-14.mga2
+ Revision: 232259
- add P2: copy-default-config-from-skel-to-home.patch (mga#5491)
- fix default config file, replace the binary entry of Galeon with Firefox (mga#5491)

* Sat Mar 10 2012 kamil <kamil> 0.10.5-13.mga2
+ Revision: 222346
- start using /etc/skel directory for the default configuration file (thanks to Thierry Vignaud for noting about it)
- add P1 mga-update-default-applications.patch to replace xterm with universal xvt and to use newer applications
  * xmms -> xmms2
  * gqview -> geeqie
  * galeon -> firefox

* Sat Feb 18 2012 kamil <kamil> 0.10.5-12.mga2
+ Revision: 210561
- prepare a buildable package
- adapt .spec for Mageia
- imported package wmdrawer



* Wed Jul 27 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.10.5-11
- Changed arguments for dos2unix
- Dropped *.sgml files

* Tue Jul 26 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.10.5-10
- Added patch for the Makefile. Debug package is usable now.
  (Thanks to Richard Shaw)
- Changed some files to utf-8 with correct line endings.
- Added font dependency

* Fri Mar 25 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.10.5-9
- Dropped startup script due to continuing problems
- Added hint regarding the startup behavior to the description

* Mon Feb 14 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.10.5-8
- changed Group again
- changed make call
- use macros consistently
- moved startup script to its own file

* Mon Oct 26 2008 Mario Blättermann <rpm@mandivauser.de> 0.10.5-7mud2009.0
- fixed Group

* Wed Oct 15 2008 Mario Blättermann <rpm@mandivauser.de> 0.10.5-6mud2009.0
- rebuild for 2009.0

* Sat Apr 12 2008 Mario Blättermann <rpm@mandrivauser.de> 0.10.5-5mud2008.1
- fixed Requires and BuildRequires
- rebuild for mud2008.0

* Sat Mar 15 2008 Mario Blättermann <mario.blaettermann@t-online.de> 0.10.5-4mud2008.0
- fixed bug in startup script

* Thu Jan 03 2008 Oliver Burger <rpm@mandrivauser.de> 0.10.5-3mud2008.0
- rebuild for MUde
- changed from csh to bash-script

* Thu Jan 03 2008 Mario Blättermann <rpm@mandrivauser.de>
- add startup script and xdg menu entry

* Mon Dec 03 2007 Mario Blättermann <mbl103@arcor.de>
-initial version
